package com.yeejoin.precontrol.common.utils;

import java.util.ArrayList;
import java.util.List;

public class HtmlUtil {
    /**
     * 填充html中的单节点标签
     *
     * @param str
     * @return
     */
    public static String closeHtml(String str) {
        List arrTags = new ArrayList();
        arrTags.add("br");
        arrTags.add("hr");
        arrTags.add("img");
        arrTags.add("meta");
        arrTags.add("META");
        for (int i = 0; i < arrTags.size(); i++) {
            for (int j = 0; j < str.length(); ) {
                int tagStart = str.indexOf("<" + arrTags.get(i), j);
                if (tagStart >= 0) {
                    int tagEnd = str.indexOf(">", tagStart);
                    j = tagEnd;
                    String preCloseTag = str.substring(tagEnd - 1, tagEnd);
                    if (!"/".equals(preCloseTag)) {
                        String preStr = str.substring(0, tagEnd);
                        String afterStr = str.substring(tagEnd);
                        str = preStr + "/" + afterStr;
                    }
                } else {
                    break;
                }
            }
        }
        return str;
    }
}
